/**
 *
 * Tato třída simuluje kalkulator - slouží pro testování grafiky kalkulačky.
 * Třída implementuje rozhraní Kalkulator, pojem maketa odpovídá anglickému pojmu
 * mock object.
 * 
 * Všechny metody pouze vypisují na konzolu informaci o tom, že byly zavolány
 * (System.out.println se jménem metody) a případně příkaz return s konstantní
 * hodnotou.
 *
 * @author     Lubos Pavlicek
 * @version    2.0 (8. října 2006)
 */
public class MaketaKalkulator implements Kalkulator
{
    
    /**
     *  konstruktor třídy
     */
    public MaketaKalkulator () {
        System.out.println("konstruktor MaketaKalkulator");
    }


    /**
     * Metoda vrací hodnotu, která se má zobrazit na displayi kalkulacky. Tato metoda
     * se obvykle volá po zavolání metody odpovídající stisku tlačítka.
     * 
     * @return   hodnota k zobrazení
     */
 
    public int getHodnotaKZobrazeni() {
        System.out.println("metoda getHodnotaKZobrazeni");
        return 12345;
    }

    /**
     * metoda se volá při stisknutí tlačítka s číslicí na kalkulačce. Parametrem
     * je hodnota na stisknuté klávese.
     * 
     * @param hodnota    hodnota na stisknutém tlačítku, hodnota je v rozsahu
     *                   od 0 do 9
     */
    public void cislice(int hodnota) {
        System.out.println("metoda cislice, parametr hodnota: "+hodnota);
    }

    /**
     * metoda se volá při stisknutí tlačítka "+" (plus) na kalkulačce
     */
    public void plus() {
        System.out.println("metoda plus");
    }

    /**
     * metoda se volá při stisknutí tlačítka "-" (minus) na kalkulačce
     */
    public void minus() {
        System.out.println("metoda minus");
    }

    /**
     * metoda se volá při stisknutí tlačítka / - dělení
     */
    public void deleni() {
        System.out.println("metoda deleni");
    }
    
    
    /**
     * metoda se volá při stisknutí tlačítka Mod - operace výpočet modula
     */
    public void modulo() {
        System.out.println("metoda modulo");
    }

    /**
     * metoda se volá při stisknutí tlačítka "=" (rovná se) na kalkulačce
     */
    public void rovnaSe() {
        System.out.println("metoda rovnaSe");
    }
    
    /**
     * metoda se volá při stisknutí tlačítka "C" (clear) na kalkulačce
     */
    public void vymaz() {
        System.out.println("metoda vymaz");
    }

    /**
     * metoda se volá při stisknutí tlačítka CE - vymazaní/vynulování posledního vkládáného čísla
     * (dříve navkládané operace by se měly uchovat)
     */
    public void vymazCisla() {
        System.out.println("metoda vymazCisla");
    }
 
    /**
     * metoda se volá při stisknutí tlačítka +/- - změna znaménka u čísla
     */
    public void znamenko() {
        System.out.println("metoda znamenko");
    }
    
   

    /**
     * metoda se volá při stisknutí tlačítka x^2 a měla by spočítat druhou mocninu
     */
    
    public void mocnina() {
        System.out.println("metoda mocnina");
    }



    /**
     * metoda vrací jméno autora, např. "autor: Jan Novák"
     * 
     * @return   řetězec se jménem autora
     */    
    public String getAutor() {
        System.out.println("metoda getAuthor");
        return "autor ";
    }
    
    /**
     * metoda vrací označení verze, např. "verze 1.0.3"
     * 
     * @return   řetězec s verzí programu
     */
    public String getVerze() {
        System.out.println("metoda getVerze");
        return "verze 0.01";
    }
    
}
